# leeksLazyLogger

leeksLazyLogger is an easy-to-use and lightweight NodeJS console logger.

leeksLazyLogger uses [leeks.js](https://www.npmjs.com/package/leeks.js) to allow colour and ANSI styles
to easily be implemented into your NodeJS application's console, whilst being extremely lightweight and
logging everything to a file for easy access later.

## Installation
``npm i leekslazylogger`` or ``yarn leekslazylogger``

## Features
- Lightweight
- Easy to use
- US and UK spelling variations support
- Everything is logged to a file (can be disabled)
- A new file for each run
- Automatically cleans up by deleting old log files (older than 1 week) on initialisation
- Automatically logs in plain text if colour is not supported
- Extremely customisable (custom log types)
- Works on multiple platforms (although colours may vary)

## How to use
To start, have a look at the [Functions](https://github.com/eartharoid/leeksLazyLogger/wiki/Functions) page, where initialisation and basic usage is explained.

## Customisation
Some information on customisation is available on the [Functions](https://github.com/eartharoid/leeksLazyLogger/wiki/Functions) page.

For more information on other options, visit the [Colours & Styles](https://github.com/eartharoid/leeksLazyLogger/wiki/Colours-&-Styles) page.

## Screenshots
Want to see what it looks like? Go to the [Screenshots](https://github.com/eartharoid/leeksLazyLogger/wiki/Screenshots) page.

## Examples
Run `npm test`/`yarn test` or look at `test.js`.

## Support
Ask for help in [#support](https://discordapp.com/channels/451745464480432129/475351519516950548) on [Discord](https://discord.gg/pXc9vyC).

**[Go to the wiki](https://github.com/Eartharoid/leeksLazyLogger/wiki) for more information about logging functions and colours.**


[![Discord](https://discordapp.com/api/guilds/451745464480432129/widget.png?style=banner4)](https://discord.gg/pXc9vyC)


## Credits
- [ohlookitsderpy / leeks.js & help](https://github.com/ohlookitsderpy/leeks.js)

